<bugID>1287660<Summary>New implementation of nsIHandlerService  for the JSON backend</Summary><Description>From the current investigation, we need to rewrite "Retrieval Methods", "Storage Method" and "DataStore Utils". We also need a preference to decide whether to use mimeType.rdf or mimeType.json.</Description></bugID>